From 737e02eeb197c256c8dc8062fbec2f2a19c2f035 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 05 2020 04:52:46 +0000
Subject: [PATCH 215/2232] Remove unneeded return from void functions


---

diff --git a/gen/write.rs b/gen/write.rs
index b745739..3d1fdf3 100644
--- a/gen/write.rs
+++ b/gen/write.rs
@@ -821,12 +821,12 @@ fn write_rust_box_impl(out: &mut OutFile, ident: &Ident) {
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::uninit() noexcept {{", inner);
-    writeln!(out, "  return cxxbridge02$box${}$uninit(this);", instance);
+    writeln!(out, "  cxxbridge02$box${}$uninit(this);", instance);
     writeln!(out, "}}");
 
     writeln!(out, "template <>");
     writeln!(out, "void Box<{}>::drop() noexcept {{", inner);
-    writeln!(out, "  return cxxbridge02$box${}$drop(this);", instance);
+    writeln!(out, "  cxxbridge02$box${}$drop(this);", instance);
     writeln!(out, "}}");
 }
 

